import App
def Create(pTorp):

	kGlowColor = App.TGColorA()
	kGlowColor.SetRGBA(155.0 / 255.0, 0.0 / 255.0, 0.0 / 255.0, 1.000000)	
	kCoreColor = App.TGColorA()
	kCoreColor.SetRGBA(255.0 / 255.0, 102.0 / 255.0, 0.0 / 255.0, 1.000000)

	# Params are:

	pTorp.CreateTorpedoModel(
					"data/Textures/Tactical/TorpedoCore.tga",
					kCoreColor, 
					0.08,
					9.0,	 
					"data/Textures/Tactical/TorpedoGlow.tga", 
					kGlowColor,
					5.0,	
					0.14,	 
					0.16,	
					"data/Textures/Tactical/TorpedoFlares.tga",
					kGlowColor,										
					20,		
					0.034,		
					0.1)

	pTorp.SetDamage( GetDamage() )
	pTorp.SetDamageRadiusFactor(0.15)
	pTorp.SetGuidanceLifetime( GetGuidanceLifetime() )
	pTorp.SetMaxAngularAccel( GetMaxAngularAccel() )
	pTorp.SetLifetime( GetLifetime() )

	# Multiplayer specific stuff.  Please, if you create a new torp
	# type. modify the SpeciesToTorp.py file to add the new type.
	import Multiplayer.SpeciesToTorp
	pTorp.SetNetType (Multiplayer.SpeciesToTorp.QUANTUM)

	return(0)

def GetLaunchSpeed():
	return(17.0)

def GetLaunchSound():
	return("B7Missile3")

def GetPowerCost():
	return(50.0)

def GetName():
	return("Interceptor")

def GetDamage():
	return 500.0

def GetGuidanceLifetime():
	return 5.0

def GetMaxAngularAccel():
	return 0.35

def GetLifetime():
	return 20.0
